Debian Bug report logs - #283997
fcrackzip: -c ! leads to problems with quote characters

version graph

Package: fcrackzip; Maintainer for fcrackzip is Jari Aalto <jari.aalto@cante.net>; Source for fcrackzip is src:fcrackzip.

Reported by: "C. Scott Ananian" <cananian@sincerity-forever.lcs.mit.edu>

Date: Thu, 2 Dec 2004 21:03:02 UTC

Severity: normal

Tags: confirmed

Found in version 0.3-1

Fixed in version fcrackzip/0.3-2

Done: Francesco Donadon <francesco.donadon@katamail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Francesco Donadon <francesco.donadon@katamail.com>:
Bug#283997; Package fcrackzip. Full text and rfc822 format available.

Acknowledgement sent to "C. Scott Ananian" <cananian@sincerity-forever.lcs.mit.edu>:
New Bug report received and forwarded. Copy sent to Francesco Donadon <francesco.donadon@katamail.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "C. Scott Ananian" <cananian@sincerity-forever.lcs.mit.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fcrackzip: -c ! leads to problems with quote characters
Date: Thu, 02 Dec 2004 15:46:53 -0500
Package: fcrackzip
Version: 0.3-1
Severity: normal

Using the '!' option to '-c' leads to errors, for example:

$ fcrackzip -c aA1! -l 1-8 -u image.dat
sh: -c: line 0: unexpected EOF while looking for matching `"'
sh: -c: line 1: syntax error: unexpected end of file
sh: -c: line 0: unexpected EOF while looking for matching `"'
sh: -c: line 1: syntax error: unexpected end of file
sh: -c: line 0: unexpected EOF while looking for matching `"'
sh: -c: line 1: syntax error: unexpected end of file
sh: -c: line 0: unexpected EOF while looking for matching `"'
sh: -c: line 1: syntax error: unexpected end of file
sh: -c: line 0: unexpected EOF while looking for matching `"'
sh: -c: line 1: syntax error: unexpected end of file
sh: -c: line 0: unexpected EOF while looking for matching `"'
sh: -c: line 1: syntax error: unexpected end of file
...etc...

This seems to be related to the problem finding passwords with '$'
characters (as mentioned in debian bug #258665) as omitting the '$'
seems to make things work fine; eg

$ fcrackzip -c 'aA1:!:%&/()=?{[]}+*~#' -l 1-8 -u image.dat

seems to work.
 --scott

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.18-1-686-smp
Locale: LANG=C, LC_CTYPE=C

Versions of packages fcrackzip depends on:
ii  libc6                       2.3.2.ds1-17 GNU C Library: Shared libraries an

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#283997; Package fcrackzip. Full text and rfc822 format available.

Acknowledgement sent to Francesco Donadon <francesco.donadon@katamail.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 283997@bugs.debian.org (full text, mbox):

From: Francesco Donadon <francesco.donadon@katamail.com>
To: "C. Scott Ananian" <cananian@sincerity-forever.lcs.mit.edu>, 283997@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#283997: fcrackzip: -c ! leads to problems with quote characters
Date: Wed, 8 Dec 2004 21:29:19 +0100
[Message part 1 (text/plain, inline)]
tags 283997 + confirmed
thanks

* C. Scott Ananian <cananian@sincerity-forever.lcs.mit.edu> [021204, 15:46]:
> This seems to be related to the problem finding passwords with '$'
> characters (as mentioned in debian bug #258665) as omitting the '$'
> seems to make things work fine; eg

Yes, the problem is when passwords contain shell "special" characters like '$'
and '!'; the password verification always fail.

I am currently working on solving it.

Bye,
Francesco
-- 
ciao,			| gpg key: 0xfdfd681f
Francesco		| jabber id: nonninz@jabber.linux.it

La resistenza Ú inutil... scemo, ci vuole un fusibile!
[signature.asc (application/pgp-signature, inline)]

Tags added: confirmed Request was from Francesco Donadon <francesco.donadon@katamail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Francesco Donadon <francesco.donadon@katamail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "C. Scott Ananian" <cananian@sincerity-forever.lcs.mit.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 283997-close@bugs.debian.org (full text, mbox):

From: Francesco Donadon <francesco.donadon@katamail.com>
To: 283997-close@bugs.debian.org
Subject: Bug#283997: fixed in fcrackzip 0.3-2
Date: Mon, 20 Dec 2004 16:47:26 -0500
Source: fcrackzip
Source-Version: 0.3-2

We believe that the bug you reported is fixed in the latest version of
fcrackzip, which is due to be installed in the Debian FTP archive:

fcrackzip_0.3-2.diff.gz
  to pool/main/f/fcrackzip/fcrackzip_0.3-2.diff.gz
fcrackzip_0.3-2.dsc
  to pool/main/f/fcrackzip/fcrackzip_0.3-2.dsc
fcrackzip_0.3-2_i386.deb
  to pool/main/f/fcrackzip/fcrackzip_0.3-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 283997@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Donadon <francesco.donadon@katamail.com> (supplier of updated fcrackzip package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 18 Dec 2004 20:46:52 +0100
Source: fcrackzip
Binary: fcrackzip
Architecture: source i386
Version: 0.3-2
Distribution: unstable
Urgency: low
Maintainer: Francesco Donadon <francesco.donadon@katamail.com>
Changed-By: Francesco Donadon <francesco.donadon@katamail.com>
Description: 
 fcrackzip  - password cracker for zip archives
Closes: 258665 283997 285915
Changes: 
 fcrackzip (0.3-2) unstable; urgency=low
 .
   * Added project homepage in long description and fixed a typo.
   * Added patch from Andreas Jochens to build fcrackzip on AMD64.
     Thanks Andreas! (Closes: #285915)
   * Correctly escapes special chars when calling unzip to test
     passwords. (Closes: #283997)
   * Let return value of "1" mean good password. (Closes: #258665)
   * Useless debhelper commands removed from debian/rules.
   * Sponsored by Emanuele Rocca <ema@debian.org>.
Files: 
 950f013de0169e6bde37b1db3dc6d3d6 611 utils optional fcrackzip_0.3-2.dsc
 71e5fe41c4af6fa4dd77ebbf744ffde0 3520 utils optional fcrackzip_0.3-2.diff.gz
 d2894c5b8c0aaeccf92c21626dd12e22 29872 utils optional fcrackzip_0.3-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBx0dKC6DuA+rxm2ARAsh1AKCClAkBh/VepwsFEiKFsV3ti06wtgCfZF/v
j4MMv7KMBQh31jqc+A/Jf1U=
=A1hj
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:16:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.